Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.rules
Class NoInlineStyleInformation

    java.lang.Object
      net.sourceforge.pmd.jsp.ast.JspParserVisitorAdapter
          net.sourceforge.pmd.jsp.rules.AbstractJspRule
              net.sourceforge.pmd.jsp.rules.NoInlineStyleInformation

All Implemented Interfaces:
  JspParserVisitor, Rule

public class NoInlineStyleInformation
extends AbstractJspRule

This rule checks that no "style" elements (like , , ...) are used, and that no "style" attributes (like "font", "size", "align") are used.

Author:
  pieter_van_raemdonck

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.rules.AbstractJspRule
`description, example, externalInfoUrl, include, message, name, priority, properties, ruleSetName, usesDFA, usesTypeResolution`

Fields inherited from interface net.sourceforge.pmd.Rule
`LOWEST_PRIORITY, PRIORITIES`

Constructor Summary
`NoInlineStyleInformation()`

Method Summary
`java.lang.Object` | `visit(ASTAttribute node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElement node, java.lang.Object data)`

Methods inherited from class net.sourceforge.pmd.jsp.rules.AbstractJspRule
`addProperties, addProperty, addViolation, addViolation, addViolation, addViolationWithMessage, apply, equals, getBooleanProperty, getDescription, getDoubleProperty, getExample, getExternalInfoUrl, getIntProperty, getMessage, getName, getPriority, getPriorityName, getProperties, getRuleSetName, getStringProperty, hashCode, hasProperty, include, propertyDescriptorFor, setDescription, setExample, setExternalInfoUrl, setInclude, setMessage, setName, setPriority, setRuleSetName, setUsesDFA, setUsesTypeResolution, usesDFA, usesTypeResolution, visitAll`

Methods inherited from class net.sourceforge.pmd.jsp.ast.JspParserVisitorAdapter
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoInlineStyleInformation

    public NoInlineStyleInformation()

Method Detail

### visit

    public java.lang.Object visit(ASTAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`
  Overrides:
    `visit` in class `JspParserVisitorAdapter`

### visit

    public java.lang.Object visit(ASTElement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`
  Overrides:
    `visit` in class `JspParserVisitorAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.